# $Revision: 1.40 $, $Date: 2006/02/26 23:16:58 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	String
Summary:	IO::String perl module
Summary(pl):	Modu perla IO::String
Name:		perl-IO-String
Version:	1.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	250e5424f290299fc3d6b5d1e9da3835
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::String module emulates the IO::File interface for in-core strings.

%description -l pl
Modu Perla IO::String, emulujcy interfejs IO::File dla cigw
znakw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-String.spec,v $
Revision 1.40  2006/02/26 23:16:58  agaran
- up to 1.08 rel 1

Revision 1.39  2005/11/26 10:11:30  charles
- updated to 1.07

Revision 1.38  2004/12/01 13:04:55  radek
- autoupdated to 1.06

Revision 1.37  2004/11/03 22:30:27  paladine
- formatting

Revision 1.36  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.35  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 13:06:21  ankry
- tests added

Revision 1.33  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.32  2004/04/04 21:41:45  adamg
- updated to 1.05

Revision 1.31  2004/01/24 22:21:56  arekm
- autoupdated to 1.04

Revision 1.30  2003/10/07 13:06:19  migo
- up to 1.03
- tests enabled

Revision 1.29  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:33:32  ankry
- massive attack: change CPAN URLs

Revision 1.21  2003/01/15 18:05:30  mis
- autoupdated to 1.02

Revision 1.20  2002/07/20 10:20:31  qboosh
- new %%doc, better pl description; release 7

Revision 1.19  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:27:49  depesz
adapterized

Revision 1.13  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:11:04  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/08 22:15:03  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:57:36  pius
- updated to 1.01

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
